<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<sounds xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../../../../../shared/xml/schema/vehicle_sounds.xsd">
    <motorized>
        <sounds>
            <motor template="indoorCabinRumble" />
            <motor template="attacherClanks" linkNodeOffset="0 0.7 -1.5" volumeScale="2.0" pitchScale="0.7" innerRadius="2.5" outerRadius="40" />
            <motor template="engineSmall" file="sounds/series4700M_loop.gls" linkNode="RefOriginal" volumeScale="1.6"/>
            <motor template="engineMedium" file="sounds/Diretao.gls" linkNode="RefDireto" pitchScale="1" volumeScale="2.1" />
            <motor  file="$data/vehicles/masseyFerguson/series7S/sounds/Fan.gls" linkNode="refFan" volumeScale="0.8" innerRadius="0.5" outerRadius="50" pitchScale="1.0" fadeIn="0.9" isLocalSound="true">
                <lowpassGain indoor="0.15" outdoor="0.5" />
                <lowpassCutoffFrequency indoor="5" outdoor="15"/>
                <lowpassResonance indoor="0" outdoor="0"/>
                <volume indoor="0.4" outdoor="0.5" >
                    <modifier type="DIFFERENTIAL_SPEED" value="0.0"  modifiedValue="1.0" />
                    <modifier type="DIFFERENTIAL_SPEED" value="10.0" modifiedValue="1.2" />
                    <modifier type="DIFFERENTIAL_SPEED" value="25.0" modifiedValue="1.45" />
                    <modifier type="DIFFERENTIAL_SPEED" value="52.0" modifiedValue="1.85" />

                    <modifier type="MOTOR_LOAD" value="-1.00" modifiedValue="1.0" />
                    <modifier type="MOTOR_LOAD" value="0.00"  modifiedValue="1.0" />
                    <modifier type="MOTOR_LOAD" value="0.20"  modifiedValue="1.0" />
                    <modifier type="MOTOR_LOAD" value="0.30"  modifiedValue="1.2" />
                    <modifier type="MOTOR_LOAD" value="0.45"  modifiedValue="1.0" />
                    <modifier type="MOTOR_LOAD" value="0.80"  modifiedValue="1.5" />
                    <modifier type="MOTOR_LOAD" value="1.00"  modifiedValue="1.75" />
                </volume>
            </motor>
            <gearbox file="$data/vehicles/masseyFerguson/series7S/sounds/Transmission.gls" linkNode="wheelBackLeft" pitchScale="1.0" volumeScale="1.2" innerRadius="1" outerRadius="45" fadeIn="0.9" isLocalSound="true">
                <loopSynthesisRpm>
                    <modifier type="DIFFERENTIAL_SPEED" value="0.00" modifiedValue="0.00" />
                    <modifier type="DIFFERENTIAL_SPEED" value="21.0" modifiedValue="0.5" />
                    <modifier type="DIFFERENTIAL_SPEED" value="52.0" modifiedValue="1.0" />
                </loopSynthesisRpm>
                <volume indoor="0.2" outdoor="1" >
                    <modifier type="DIFFERENTIAL_SPEED" value="0.00"  modifiedValue="0.00" />
                    <modifier type="DIFFERENTIAL_SPEED" value="5.0"  modifiedValue="0.40" />
                    <modifier type="DIFFERENTIAL_SPEED" value="10.0" modifiedValue="0.65" />
                    <modifier type="DIFFERENTIAL_SPEED" value="25.0" modifiedValue="0.80" />
                    <modifier type="DIFFERENTIAL_SPEED" value="43.0" modifiedValue="0.80" />

                    <modifier type="MOTOR_LOAD" value="-1.00" modifiedValue="1.0" />
                    <modifier type="MOTOR_LOAD" value="0.00"  modifiedValue="1.0" />
                    <modifier type="MOTOR_LOAD" value="0.20"  modifiedValue="1.0" />
                    <modifier type="MOTOR_LOAD" value="0.30"  modifiedValue="1.2" />
                    <modifier type="MOTOR_LOAD" value="0.45"  modifiedValue="1.0" />
                    <modifier type="MOTOR_LOAD" value="0.80"  modifiedValue="0.75" />
                    <modifier type="MOTOR_LOAD" value="1.00"  modifiedValue="0.65" />
                </volume>
                <pitch>
                    <modifier type="SUSPENSION" value="-0.08" modifiedValue="1.07" />
                    <modifier type="SUSPENSION" value="-0.02" modifiedValue="1.05" />
                    <modifier type="SUSPENSION" value="0.0" modifiedValue="1.0" />
                    <modifier type="SUSPENSION" value="0.02" modifiedValue="1.05" />
                    <modifier type="SUSPENSION" value="0.08" modifiedValue="1.08" />
                </pitch>
            </gearbox>
            <gearbox file="$data/vehicles/masseyFerguson/series7S/sounds/Transmission.gls" linkNode="wheelBackRight" pitchScale="0.75" volumeScale="1.2" innerRadius="1" outerRadius="45" fadeIn="0.9">
                <loopSynthesisRpm>
                    <modifier type="DIFFERENTIAL_SPEED" value="0.00" modifiedValue="0.00" />
                    <modifier type="DIFFERENTIAL_SPEED" value="26.0" modifiedValue="0.5" />
                    <modifier type="DIFFERENTIAL_SPEED" value="52.0" modifiedValue="1.0" />
                </loopSynthesisRpm>
                <volume indoor="0.2" outdoor="1" >
                    <modifier type="DIFFERENTIAL_SPEED" value="0.0"  modifiedValue="0.00" />
                    <modifier type="DIFFERENTIAL_SPEED" value="5.0"  modifiedValue="0.40" />
                    <modifier type="DIFFERENTIAL_SPEED" value="10.0" modifiedValue="0.65" />
                    <modifier type="DIFFERENTIAL_SPEED" value="25.0" modifiedValue="0.80" />
                    <modifier type="DIFFERENTIAL_SPEED" value="43.0" modifiedValue="0.80" />

                    <modifier type="MOTOR_LOAD" value="-1.00" modifiedValue="1.0" />
                    <modifier type="MOTOR_LOAD" value="0.00"  modifiedValue="1.0" />
                    <modifier type="MOTOR_LOAD" value="0.20"  modifiedValue="1.0" />
                    <modifier type="MOTOR_LOAD" value="0.30"  modifiedValue="1.2" />
                    <modifier type="MOTOR_LOAD" value="0.45"  modifiedValue="1.0" />
                    <modifier type="MOTOR_LOAD" value="0.80"  modifiedValue="0.75" />
                    <modifier type="MOTOR_LOAD" value="1.00"  modifiedValue="0.65" />
                </volume>
                <pitch>
                    <modifier type="SUSPENSION" value="-0.08" modifiedValue="1.07" />
                    <modifier type="SUSPENSION" value="-0.02" modifiedValue="1.05" />
                    <modifier type="SUSPENSION" value="0.0"  modifiedValue="1.0" />
                    <modifier type="SUSPENSION" value="0.02" modifiedValue="1.05" />
                    <modifier type="SUSPENSION" value="0.08" modifiedValue="1.08" />
                </pitch>
            </gearbox>

            <reverseDrive template="reverseBeep02" linkNode="SomReRef" volumeScale="1.8"/>
            <gearLeverStart template="gearDisengagedNoCabin" volumeScale="0.85"/>
            <gearLeverEnd template="gearEngagedNoCabin" volumeScale="0.85"/>
            <gearGroupLeverStart template="gearDisengagedNoCabin" volumeScale="0.85"/>
            <gearGroupLeverEnd template="gearEngagedNoCabin" volumeScale="0.85"/>
        </sounds>
    </motorized>

     <enterable>
        <sounds>
            <rain template="rainInVehicle" linkNodeOffset="0 2.0 -0.8">
                <loopSynthesisRpm>
                    <modifier type="SPEED" value="0.0" modifiedValue="0.0" />
                    <modifier type="SPEED" value="63.0" modifiedValue="1" />
                </loopSynthesisRpm>
                <volume>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="35" modifiedValue="1" />
                    <modifier type="SPEED" value="63" modifiedValue="1.2" />
                </volume>

                <pitch>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="35" modifiedValue="1" />
                    <modifier type="SPEED" value="63" modifiedValue="1.0" />
                </pitch>
            </rain>
            <hail template="hailInVehicle" linkNodeOffset="0 2.0 -0.8" volumeScale="1.5">
                <loopSynthesisRpm>
                    <modifier type="SPEED" value="0.0" modifiedValue="0.0" />
                    <modifier type="SPEED" value="40.0" modifiedValue="1" />
                </loopSynthesisRpm>
                <volume>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="25" modifiedValue="1" />
                    <modifier type="SPEED" value="40" modifiedValue="1.2" />
                </volume>

                <pitch>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="25" modifiedValue="1" />
                    <modifier type="SPEED" value="40" modifiedValue="1.0" />
                </pitch>
            </hail>
        </sounds>
    </enterable>

    <lights>
        <sounds>
            <toggleLights template="switch01"  />
            <turnLight template="switchTurnlight" volumeScale="1.6" />
        </sounds>
    </lights>

    <attacherJoints>
        <sounds>
            <attach template="attach01" />
            <hydraulic template="hydraulicOpen02" />
        </sounds>
    </attacherJoints>

    <drivable>
        <sounds>
            <waterSplash template="waterSplash01" />
        </sounds>
    </drivable>

    <ai>
        <automaticSteering>
            <sounds>
                <engage template="gpsEngageFendt"/>
                <disengage template="gpsDisengageFendt"/>
                <lineEnd template="gpsLineEndFendt"/>
            </sounds>
        </automaticSteering>
    </ai>

    <honk>
        <sound file="$data/vehicles/masseyFerguson/series7S/sounds/hornMF6S.wav" linkNodeOffset="0 0.6 1.4" innerRadius="1" outerRadius="50">
            <volume indoor="1.0" outdoor="4.10" />
            <pitch indoor="1.0" outdoor="1.0" />
            <lowpassGain indoor="0.50" outdoor="1.0" />
        </sound>
    </honk>
</sounds>
